import { PromptTemplatePipelineJson } from '../types/PromptTemplatePipelineJson/PromptTemplatePipelineJson';
import { PromptTemplatePipelineString } from '../types/PromptTemplatePipelineString';
/**
 * Import the text file
 *
 * Note: Using here custom import to work in jest tests
 * Note: Using sync version is 💩 in the production code, but it's ok here in tests
 *
 * @private
 */
export declare function importPtp(path: `${string}.ptp.md`): PromptTemplatePipelineString;
export declare function importPtp(path: `${string}.ptp.json`): PromptTemplatePipelineJson;
