import { string_template } from '.././types/typeAliases';
import { Parameters } from '../types/Parameters';
/**
 * Replaces parameters in template with values from parameters object
 *
 * @param template the template with parameters in {curly} braces
 * @param parameters the object with parameters
 * @returns the template with replaced parameters
 *
 * @private within the library
 */
export declare function replaceParameters(template: string_template, parameters: Parameters): string;
/**
 * TODO: [🧠] More advanced templating
 * TODO: [🧠] Maybe use some template engine / library not own simple implementation
 */
